Get current account
GET/v1/me/Free
Returns information about the account that owns the current Api-Key:
account ID, balance, top-up multiplier, assigned roles and the
notification threshold.
Authentication
Section titled “Authentication”Api-Key header required.
Request
Section titled “Request”No parameters, no body.
Examples
Section titled “Examples”curl -H "Api-Key: $API_KEY" https://api.telesint.dev/v1/me/import os, requests
response = requests.get( "https://api.telesint.dev/v1/me/", headers={"Api-Key": os.environ["API_KEY"]}, timeout=10,)response.raise_for_status()me = response.json()print("Balance:", me["balance"])const res = await fetch('https://api.telesint.dev/v1/me/', { headers: { 'Api-Key': process.env.API_KEY },});const me = await res.json();console.log('Balance:', me.balance);Response — 200 OK
Section titled “Response — 200 OK”{ "id_": 436307416, "balance": 109992, "multiplier": 1, "roles": [ { "name": "user", "description": null, "scopes": [ { "name": "read_users", "description": null }, { "name": "read_groups", "description": null }, { "name": "search", "description": null } ] } ], "notification_threshold": 20}Fields
Section titled “Fields”| Field | Type | Notes |
|---|---|---|
id_ |
integer | Account ID. |
balance |
integer | Available amount in rubles. |
multiplier |
number | Top-up multiplier. |
roles |
array of role | Assigned roles. Empty by default. |
notification_threshold |
integer | null | Low-balance alert threshold. Configured in the bot. |
| Field | Type | Notes |
|---|---|---|
name |
string | null | Role identifier. |
description |
string | null | Human-readable description. |
scopes |
array of scope | Capabilities granted by this role. |
| Field | Type | Notes |
|---|---|---|
name |
string | null | Scope identifier. |
description |
string | null | Human-readable description. |
Errors
Section titled “Errors”Common error shapes — see Errors.